com.ihr.xbrl.dts

## Class XBRLTreeRoot

- java.lang.Object
- - com.ihr.xbrl.dts.XBRLTreeNode
  - - com.ihr.xbrl.dts.XBRLTreeRoot

- All Implemented Interfaces:
    javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

      public class XBRLTreeRoot
      extends XBRLTreeNode

  The XBRLTreeRoot is the root node in a tree. It contains a set of tree walkers.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLTreeRoot(XMLFragment node, XBRLRoleType labelRole, XBRLTreeWalker walker)` Instantiates a new XBRL tree root.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addWalker(XBRLTreeWalker tw)` Adds the walker.
    `XBRLTreeNode[]` | `getChildren()` Obtain the chilren elements of this element in the hierarchy of this TreeWalker If this node has no children an empty array is returned This function does not return null.
    `java.util.Iterator<XBRLTreeWalker>` | `getWalkers()` Gets the walkers.
    `void` | `setWalkers(java.util.Collection<XBRLTreeWalker> colTw)` Sets the walkers.

    - ### Methods inherited from class com.ihr.xbrl.dts.XBRLTreeNode

      `children, equals, getAllowsChildren, getChildAt, getChildCount, getHash, getIndex, getLabel, getNode, getNodeName, getParent, getPreferredLabelRole, getWalker, getWeight, hashCode, insert, isLeaf, remove, remove, removeFromParent, setLabelsRoles, setNumber, setParent, setUserObject`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLTreeRoot

          public XBRLTreeRoot(XMLFragment node,
                      XBRLRoleType labelRole,
                      XBRLTreeWalker walker)

      Instantiates a new XBRL tree root.
      Parameters:
        `node` - the node
        `labelRole` - the label role
        `walker` - the walker

  - ### Method Detail

    - #### setWalkers

          public void setWalkers(java.util.Collection<XBRLTreeWalker> colTw)

      Sets the walkers.
      Parameters:
        `colTw` - the new walkers

    - #### getWalkers

          public java.util.Iterator<XBRLTreeWalker> getWalkers()

      Gets the walkers.
      Returns:
        the walkers

    - #### addWalker

          public void addWalker(XBRLTreeWalker tw)

      Adds the walker.
      Parameters:
        `tw` - the tw

    - #### getChildren

          public XBRLTreeNode[] getChildren()

      Description copied from class: `XBRLTreeNode`
      Obtain the chilren elements of this element in the hierarchy of this TreeWalker If this node has no children an empty array is returned This function does not return null.
      Overrides:
        `getChildren` in class `XBRLTreeNode`
      Returns:
        XBRLTreeNode[] Array of children elements in the order indicated by the order attribute